## libreoffice 4.4.6~rc3

=== debian/changelog ===
libreoffice (1:4.4.6~rc3-0ubuntu1) vivid-security; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 28 Oct 2015 03:10:01 +0100

libreoffice (1:4.4.6~rc2-0ubuntu1) vivid; urgency=medium

  * new upstream rc
  * remove obsolete patches

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 16 Oct 2015 12:06:28 +0100

libreoffice (1:4.4.5~rc2-0ubuntu2) vivid; urgency=medium

  * add ww8 pstatus import fix

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 18 Sep 2015 08:30:48 +0200

libreoffice (1:4.4.5~rc2-0ubuntu1) vivid; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 24 Jul 2015 16:55:34 +0200

libreoffice (1:4.4.4~rc3-0ubuntu1) vivid; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 23 Jun 2015 22:39:04 +0200

libreoffice (1:4.4.4~rc2-0ubuntu2) vivid; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 15 Jun 2015 08:47:37 +0200

libreoffice (1:4.4.3-0ubuntu1) vivid; urgency=medium

  * new upstream release
  * Fix mailmerge without libreoffice-base scenario
  * add upstream hack to prevent crash on exit (LP: #1418551)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 28 May 2015 19:47:04 +0200

=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: ant (>= 1.7.0),
               ant-optional (>= 1.7.0),
               autoconf,
               automake,
               bc,
               binutils (>= 2.23) [mips mipsel],
               bison,
               bzip2,
               cpp-4.9,
               debhelper (>= 7.2.3~),
               default-jdk,
               default-jdk (>= 1:1.7-48) [ia64],
               dpkg-dev (>= 1.16.1),
               fastjar,
               flex (>= 2.3.35),
               fontconfig,
               fonts-liberation,
               g++- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gcc- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gcj-jdk [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gcj-native-helper [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gdb,
               gettext,
               gperf,
               java-common (>= 0.49),
               javahelper (>= 0.37~),
               junit4 (>= 4.8.2-2),
               kdelibs5-dev (>= 4:4.3.4),
               libabw-dev (>= 0.1),
               libarchive-zip-perl,
               libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
               libboost-date-time-dev (>= 1.55),
               libboost-dev (>= 1.55),
               libboost-iostreams-dev (>= 1.55),
               libboost-program-options-dev (>= 1.55),
               libboost-system-dev (>= 1.55),
               libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
               libc6 (>= 2.17-6) [mips mipsel],
               libcairo2-dev,
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-2),
               libcmis-dev (>= 0.5.0),
               libcppunit-dev (>= 1.12),
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev (>= 0.70),
               libe-book-dev (>= 0.1.1),
               libeot-dev,
               libexpat1-dev,
               libexttextcat-dev (>= 3.1.1),
               libfontconfig1-dev,
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.2.0),
               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               libgconf2-dev,
               libgl1-mesa-dev,
               libglew-dev,
               libglib2.0-dev (>= 2.15.0),
               libglm-dev,
               libglu1-mesa-dev,
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.2~),
               libgtk2.0-dev (>= 2.10),
               libharfbuzz-dev (>= 0.9.18),
               libhsqldb1.8.0-java (>> 1.8.0.10),
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmdds-dev (>= 0.10.3),
               libmspub-dev (>= 0.1),
               libmwaw-dev (>= 0.3.4),
               libmysqlclient-dev,
               libmysqlcppconn-dev (>= 1.1.0~r791),
               libmythes-dev (>= 2:1.2),
               libneon27-gnutls-dev,
               libnss3-dev (>= 3.12.3),
               libodfgen-dev (>= 0.1),
               libpng12-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.8.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt4-dev (>= 4:4.8),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               libsane-dev,
               libsm-dev,
               libssl-dev (>= 0.9.8),
               libsuitesparse-dev (>= 1:3.4.0),
               libvigraimpex-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.3),
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               make (>= 3.81-8.2),
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev (>= 3.3),
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.8.4),
                     fdupes,
                     fontforge,
                     imagemagick,
                     libbsh-java,
                     libcommons-codec-java,
                     libcommons-httpclient-java,
                     libcommons-lang-java,
                     libcommons-logging-java (>= 1.1.1-9),
                     xml-core
Build-Conflicts: amd-libopencl1,
                 ant (= 1.8.0-1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                 ant (= 1.8.0-2) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                 ant (= 1.8.0-3) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                 flex (= 2.5.34-1) [amd64],
                 g++-4.6 (= 4.6.1-10),
                 g++-4.6 (= 4.6.1-11),
                 g++-4.7 (<< 4.7.1-3),
                 gcj-4.2 (= 4.2.2-6),
                 gjdoc (= 0.7.8-2),
                 graphicsmagick-imagemagick-compat (<< 1.3.9~),
                 libboost1.39-dev (<< 1.39.0-2),
                 libc0.1-dev (= 2.13-26) [kfreebsd-i386 kfreebsd-amd64],
                 libc6-dev (= 2.6.1-3) [i386 amd64],
                 libc6-dev (= 2.6.1-4) [i386 amd64],
                 libcairo2 (= 1.4.8-1),
                 libmariadbclient-dev,
                 libxul-dev (= 1.8.0.13~pre070720-0etch1),
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1,
                 qt3-dev-tools
Standards-Version: 3.9.4
XS-Python3-Version: 3.4
XS-Testsuite: autopkgtest
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git -b debian-experimental-4.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
Section: metapackages
Depends: fonts-sil-gentium-basic,
         libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc],
         libreoffice-writer,
         ${avmedia-be-depends},
         ${dejavu-depends},
         ${java-common-depends},
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-liberation | ttf-mscorefonts-installer,
            libpaper-utils,
            libreoffice-gnome | libreoffice-kde
Suggests: cups-bsd,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help-${help-l10n-virtual-version},
          libreoffice-l10n-${help-l10n-virtual-version},
          libsane,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${ooo-officebean-dep}
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk: Gtk UI Plugin, GNOME File Picker support,
    QuickStarter for GNOMEs notification are
  * libreoffice-gnome: GIO, GConf backend
  * libreoffice-kde: KDE UI Plugin and KDE File Picker support
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-6-jre | gcj-jre | java5-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick: helper tools for EPS thumbnails
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * bluez: Bluetooth support for Impress (slideshow remote control)

Package: libreoffice-l10n-za
Section: metapackages
Architecture: all
Depends: libreoffice-l10n-af,
         libreoffice-l10n-en-za,
         libreoffice-l10n-nr,
         libreoffice-l10n-nso,
         libreoffice-l10n-ss,
         libreoffice-l10n-st,
         libreoffice-l10n-tn,
         libreoffice-l10n-ts,
         libreoffice-l10n-ve,
         libreoffice-l10n-xh,
         libreoffice-l10n-zu,
         ${misc:Depends}
Description: office productivity suite -- South African language packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package is a metapackage installing l10n packages for all 11 South
 African languages.

Package: libreoffice-l10n-in
Section: metapackages
Architecture: all
Depends: libreoffice-l10n-as,
         libreoffice-l10n-bn,
         libreoffice-l10n-gu,
         libreoffice-l10n-hi,
         libreoffice-l10n-ml,
         libreoffice-l10n-mr,
         libreoffice-l10n-or,
         libreoffice-l10n-pa-in,
         libreoffice-l10n-ta,
         libreoffice-l10n-te,
         ${misc:Depends}
Recommends: ttf-indic-fonts
Description: office productivity suite -- Indic language packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package is a metapackage installing l10n packages for all available
 indic languages.

Package: libreoffice-core
Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
Depends: fontconfig,
         fonts-opensymbol,
         libreoffice-common (>> ${base-version}),
         ure (>= 4.2~),
         ${lpsolve-dep},
         ${misc:Depends},
         ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2013 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=4.4
OOVER:=4.4
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -s)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash
export gb_SHELL:=$(SHELL)

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')
SYSTEM_GCJ_VERSION = $(shell basename `readlink /usr/lib/jvm/java-gcj/bin/gcj` | sed -e s/gcj-//)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOUREDIR:=usr/lib/ure
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
OOO_VENDOR:=The Document Foundation/Debian
ifeq "$(DEB_VENDOR)" "Ubuntu"
OOO_VENDOR=The Document Foundation, Debian and Ubuntu
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/src
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# bootstraping this from the source tree is breaking get-orig-source
#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
lo_sources_ver=4.4.6.3
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-4-4-6
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

#########
# Default package configuration
#
OOO_ARCHS = alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    dpkg-dev (>= 1.16.1),\
    fastjar,\
    flex (>= 2.3.35), \
    gperf,\
    libarchive-zip-perl,\
    libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],\
    libcups2-dev,\
    libfontconfig1-dev,\
    libfreetype6-dev (>= 2.2.0),\
    libice-dev,\
    libsm-dev,\
    libx11-dev,\
    libxaw7-dev,\
    libxext-dev,\
    libxinerama-dev,\
    libxkbfile-dev,\
    libxrender-dev,\
    libxt-dev,\
    libxtst-dev,\
    pkg-config,\
    unzip,\
    x11proto-render-dev,\
    xsltproc,\
    zip,\
    zlib1g-dev\


CHECKTARGET:=check
# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
export PYTHON=python3
else
  PYTHON=python$(PYTHON_VERSION)
export PYTHON=python$(PYTHON_VERSION)
endif
PACKAGE_TTF_OPENSYMBOL=y
BUILD_ONLY_EN_US=n
ENABLE_JAVA=y
ifeq "$(ENABLE_JAVA)" "y"
  JDK=default
  include /usr/share/java/java_defaults.mk
  ifneq "$(JDK)" "default"
    JAVA_MAINVER=7
    ifneq (,$(filter hppa, $(DEB_HOST_ARCH)))
    JDK=gcj-jdk
    endif
  endif
endif
JAVAHELPER_MIN_VERSION= (>= 0.37~)
SYSTEM_STUFF += hunspell
HUNSPELL_MIN_VER= (>= 1.1.5-2)
SYSTEM_STUFF += altlinuxhyph
USE_LIBHYPHEN=y
LIBALTLINUXHYPH_MINVER= (>= 0.1.1-11)
LIBHYPHEN_MINVER= (>= 2.4)
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
    BOOST_MINVER= (>= 1.55)
endif
SYSTEM_STUFF += mdds
SYSTEM_STUFF += vigra
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
ICU_MINVER= (>= 52)
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
CAIRO_FONTS_PATCH=y
BUILD_KDE=y
# not ported to KDE 4
ENABLE_KDEAB=n
ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 4.7 && echo true)" "true"
# < 4.8 fails with gcc 4.7, see #667911
QT_MINVER= (>= 4:4.8)
else
QT_MINVER= (>= 4:4.5)
endif
KDELIBS_MINVER= (>= 4:4.3.4)
BUILD_DBG_PACKAGE=y
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  BUILD_TEST_PACKAGE=y
endif
ifeq "$(BUILD_TEST_PACKAGE)" "y"
  BUILD_DBG_PACKAGE=y
endif
ifeq "$(BUILD_DBG_PACKAGE)" "y"
  ENABLE_SYMBOLS=y
  SMALL_SYMBOLS=y
endif
ifeq "$(ENABLE_JAVA)" "y"
  # NOTE: If you change this while gcj/ant multiarch combo is still broken
  # you need to disable bsh scripting engine completely (see disable-rhino.diff)
  # See http://lists.debian.org/debian-java/2011/06/msg00108.html and replies
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
  HSQLDB_MINVER= (>> 1.8.0.10)
  HSQLDB_TOONEWVER=1.8.1
  HSQLDB_JAR=/usr/share/java/hsqldb1.8.0.jar
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
ENABLE_COINMP=y
SYSTEM_STUFF += coinmp
USE_DBUS=y
ifeq "$(USE_DBUS)" "y"
  ifneq (,$(findstring kfreebsd,$(DEB_HOST_ARCH)))
    ENABLE_BLUETOOTH=n
  else
    ENABLE_BLUETOOTH=y
    SYSTEM_STUFF += bluez
  endif
endif
#22:47 < siqi_> I think the best thing to do now is to disable avahi completely since it doesn't work anyway..
#[...]
#22:56 <@_rene_> I don't care much about the dependency..
#22:57 <@_rene_> but those two bugs are bad.
#22:57 < siqi_> I know but I'm actually not sure about wether avahi was working proprely for now
#22:57 <@_rene_> ok
#[...]
#22:58 <@_rene_> so I disable it in all branches I have for now
#22:58 < siqi_> I think it's safe to disable it for now
ENABLE_AVAHI=n
USE_GSTREAMER=y
USE_VLC=y
ENABLE_WEBDAV=y
ifeq "$(ENABLE_WEBDAV)" "y"
WEBDAV_LIB=neon
  ifeq "$(WEBDAV_LIB)" "neon"
    SYSTEM_STUFF += neon
    NEON_SECTYPE=gnutls
    NEONSONR=27
  else
   SYSTEM_STUFF += apr
   SYSTEM_STUFF += serf
  endif
endif
SYSTEM_STUFF += redland
PACKAGE_SDK=y
PACKAGE_SDK_DOCS=y
ifeq "$(ENABLE_JAVA)" "y"
  ifeq "$(JDK)" "default"
    ifeq "$(shell LANG=C /usr/lib/jvm/default-java/bin/java -version 2>&1 | tail -n 1 | awk '{ print $$1 }')" "OpenJDK"

## libreoffice 5.0.2

=== debian/changelog ===
libreoffice (1:5.0.2-0ubuntu1) wily; urgency=medium

  * new upstream release
  * removed upstreamed patches
  * cherry-picks from Debian:
    - update shlibs.override
    - bump gtk+ requirements
    - move liblibreofficekitgtk.so to -gtk

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 01 Oct 2015 00:49:31 +0200

libreoffice (1:5.0.1-0ubuntu2) wily; urgency=medium

  * Build for arm64 and ppc64el.
  * Build using system libraries for libcppunit, libetonyek, liborcus,
    libpagemaker, libwps and libcmis.  The internal copies are not updated
    for at least ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 17:22:56 +0200

libreoffice (1:5.0.1-0ubuntu1) wily; urgency=medium

  * new final upstream release
  * changes vs. vivid:
    - use cpp-5 (thanks Rico)
    - use internal libwps, opencollada, collada2gltf, libcmis, cppunit

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 31 Aug 2015 20:32:35 +0200

libreoffice (1:5.0.0-0ubuntu1~wily1) wily; urgency=medium

  * LibreOffice 5.0.0 final release (identical to rc5)
  * merge from Debian:
    - debian/patches/disable-tiledrendering-test.diff: temporarily disable test
    - rulees: bump build-depends on libgltf, *collada*, cppunit, liborcus, libcmis to
      build-depend on their gcc 5 rebuilds. Bump boost build-dep to >= 1.58
      (closes: #794717)
    - rules:fix SYSTEM_GCC_CHECK for gcc 5; remove obsolete >= 4.7 check for Qt to get
      correct build-dep
    - temporarily disable -evolution until libebook1.2-dev is installable again
    - debian/control.in: suggest breeze-icon-theme in -style-breeze (like the
      other ones do for oxygen/tango)
  * reduce diff to Debian: use Enhances in styles consistently
  * depend from leaf themes like -style-sifr on -style-galaxy for now

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 07 Aug 2015 13:36:02 +0200

libreoffice (1:5.0.1~rc1-3) UNRELEASED; urgency=medium

  * debian/patches/gtk3-rtl.diff: backport GTk3 RTL fixes (arrows, checkboxes)
    from libreoffice-5-0

  * debian/rules:
    - bump libmysqlcppconn-dev and libclucene-dev build-deps to their
      gcc 5 versions
    - add explicit dh-python build-dependency
    - temporarily disable -kde (KDE uninstallable in sid right now
      anyway) and coinmp

  * merge from Ubuntu:
    - autopkgtest updates/fixes

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Aug 2015 15:23:58 +0200

libreoffice (1:5.0.1~rc1-2) unstable; urgency=medium

  * debian/patches/series: (re-)enable disable-tiledrendering-test.diff;
    still fails...

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Aug 2015 16:40:13 +0200

libreoffice (1:5.0.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * upload to unstable

  * debian/rules:
    - bump build-depends on libgltf, *collada*, cppunit, liborcus, libcmis to
      build-depend on their gcc 5 rebuilds. Bump boost build-dep to >= 1.58
      (closes: #794717)
    - rules:fix SYSTEM_GCC_CHECK for gcc 5; remove obsolete >= 4.7 check for Qt to get
      correct build-dep
    - temporarily disable -evolution until libebook1.2-dev is installable again
    - debian/control.in: suggest breeze-icon-theme in -style-breeze (like the
      other ones do for oxygen/tango)
  * debian/control.in: suggest breeze-icon-theme in -style-breeze (like the
    other ones do for oxygen/tango)

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Aug 2015 16:06:34 +0200

libreoffice (1:5.0.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - ENABLE_MERGELIBS=n on kfreebsd-* for now ("Argument list too long")
    - ENABLE_COLLADA=y (for i386/amd64) now that the libs finally are in
      Debian
    - KDE_ICONSET_DEP=libreoffice-style-breeze (closes: #794318)
  * debian/control.in:
     - update -l10n conflicts in -common, remove 3.5/3.6, add 4.3/4.4
       (closes: #794024)

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Aug 2015 14:00:45 +0200

libreoffice (1:5.0.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
   - ENABLE_MERGELIBS=y as it's now upstream default

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Jul 2015 11:59:25 +0200

libreoffice (1:5.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - re-enable CVE tests on all platforms again now that the infinite loop with
      unsigned char-default is supposedly fixed

 -- Rene Engelhard <rene@debian.org>  Sun, 12 Jul 2015 13:04:30 +0200

libreoffice (1:5.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/control.in:
    - s/cliipart/clipart/ (closes: #787660 again)
  * debian/rules:
    - move libunoidllo.so from ure into uno-libs3, too, as
      libcppuhelpergcc3.so.3 is (now) linked to it

  * debian/rules:
    - move gnome-open-url (back) to -gnome

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Jun 2015 20:18:19 +0200

libreoffice (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes "Can't use a hash as a reference" deprecation warning/error in
      lo-xlate-lang (closes: #788613)

  * debian/patches/liborcus.diff: backport build fixes for using liborcus
    0.9.1 from master

  * debian/rules:
    - readd lost move of sal.py/cppu.py and libuno*.so.3-gdb.py
      into uno-libs3-dbg (closes: #788848)
    - build-depend on liborcus >= 0.9.0

  * debian/control.in:
    - make -gnome depend on -gtk3 now that it's enabled upstream if desktop
      is gnome3 (closes: #681180)

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jun 2015 13:45:07 +0200

libreoffice (1:5.0.0~beta3-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/rsc-no-error-about-unknown-switch.diff: don't error out 
    CPPFLAGS (e.g. -Wdate-time) to not FTBFS with the patched reproducible
    builds toolchain

  * debian/rules:
    - remove left-over dh_installxmlcatalogs call...


=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                binutils (>= 2.23) [mips mipsel],
                bison,
                bzip2,
-               cpp-4.9,
+               cpp-5,
                debhelper (>= 7.2.3~),
                default-jdk,
                default-jdk (>= 1:1.7-48) [ia64],
+               dh-python,
                dpkg-dev (>= 1.16.1),
                fastjar,
                flex (>= 2.3.35),
@@ -35,23 +36,22 @@
                libabw-dev (>= 0.1),
                libarchive-zip-perl,
                libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
-               libboost-date-time-dev (>= 1.55),
-               libboost-dev (>= 1.55),
-               libboost-iostreams-dev (>= 1.55),
-               libboost-program-options-dev (>= 1.55),
-               libboost-system-dev (>= 1.55),
+               libboost-date-time-dev (>= 1.58),
+               libboost-dev (>= 1.58),
+               libboost-iostreams-dev (>= 1.58),
                libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
                libc6 (>= 2.17-6) [mips mipsel],
                libcairo2-dev,
                libcdr-dev (>= 0.1),
-               libclucene-dev (>= 2.3.3.4-2),
-               libcmis-dev (>= 0.5.0),
-               libcppunit-dev (>= 1.12),
+               libclucene-dev (>= 2.3.3.4-4.1),
+               libcmis-dev (>= 0.5.0-3ubuntu1),
+               libcppunit-dev (>= 1.13.2-2.1),
                libcups2-dev,
                libcurl4-gnutls-dev,
                libdbus-glib-1-dev (>= 0.70),
                libe-book-dev (>= 0.1.1),
                libeot-dev,
+               libetonyek-dev (>= 0.1.2),
                libexpat1-dev,
                libexttextcat-dev (>= 3.1.1),
                libfontconfig1-dev,
@@ -62,12 +62,12 @@
                libgl1-mesa-dev,
                libglew-dev,
                libglib2.0-dev (>= 2.15.0),
-               libglm-dev,
+               libglm-dev (>= 0.9.6.3),
                libglu1-mesa-dev,
                libgraphite2-dev (>= 0.9.3),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgtk-3-dev (>= 3.2~),
+               libgtk-3-dev (>= 3.8~),
                libgtk2.0-dev (>= 2.10),
                libharfbuzz-dev (>= 0.9.18),
                libhsqldb1.8.0-java (>> 1.8.0.10),
@@ -80,18 +80,20 @@
                liblcms2-dev,
                libldap2-dev,
                liblpsolve55-dev (>= 5.5.0.13-5+b1),
-               libmdds-dev (>= 0.10.3),
+               libmdds-dev (>= 0.12),
                libmspub-dev (>= 0.1),
-               libmwaw-dev (>= 0.3.4),
+               libmwaw-dev (>= 0.3.5),
                libmysqlclient-dev,
-               libmysqlcppconn-dev (>= 1.1.0~r791),
+               libmysqlcppconn-dev (>= 1.1.3-6ubuntu1),
                libmythes-dev (>= 2:1.2),
                libneon27-gnutls-dev,
                libnss3-dev (>= 3.12.3),
                libodfgen-dev (>= 0.1),
+               liborcus-dev (>= 0.9.2-2),
+               libpagemaker-dev,
                libpng12-dev,
                libpoppler-cpp-dev,
-               libpoppler-dev (>= 0.8.0),
+               libpoppler-dev (>= 0.12.0),
                libpoppler-private-dev,
                libpq-dev (>= 9.0~),
                libqt4-dev (>= 4:4.8),
@@ -105,7 +107,7 @@
                libvisio-dev (>= 0.1),
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
-               libwps-dev (>= 0.3),
+               libwps-dev (>= 0.4),
                libx11-dev,
                libxaw7-dev,
                libxext-dev,
@@ -138,8 +140,7 @@
                      libcommons-codec-java,
                      libcommons-httpclient-java,
                      libcommons-lang-java,
-                     libcommons-logging-java (>= 1.1.1-9),
-                     xml-core
+                     libcommons-logging-java (>= 1.1.1-9)
 Build-Conflicts: amd-libopencl1,
                  ant (= 1.8.0-1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                  ant (= 1.8.0-2) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
@@ -165,13 +166,13 @@
 Standards-Version: 3.9.4
 XS-Python3-Version: 3.4
 XS-Testsuite: autopkgtest
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git -b debian-experimental-4.4
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
 Bugs: 
 Homepage: http://www.libreoffice.org
 
 Package: libreoffice
-Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
 Section: metapackages
 Depends: fonts-sil-gentium-basic,
          libreoffice-base,
@@ -203,7 +204,7 @@
           libxrender1,
           myspell-dictionary,
           mythes-thesaurus,
-          openclipart-libreoffice,
+          openclipart2-libreoffice | openclipart-libreoffice,
           pstoedit,
           unixodbc,
           ${gstreamer-plugins-suggests},
@@ -296,11 +297,9 @@
  indic languages.
 
 Package: libreoffice-core
-Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
 Depends: fontconfig,
          fonts-opensymbol,
          libreoffice-common (>> ${base-version}),
          ure (>= 4.2~),
          ${lpsolve-dep},
-         ${misc:Depends},
-         ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
 BINARY_VERSION=$(DEB_VERSION)
 #HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
-HELP_L10N_VIRTUAL_VERSION:=4.4
-OOVER:=4.4
+HELP_L10N_VIRTUAL_VERSION:=5.0
+OOVER:=5.0
 NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
 
 ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
@@ -35,7 +35,9 @@
 SHELL:=/bin/bash
 export gb_SHELL:=$(SHELL)
 
-SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')
+#SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')
+#FIXME
+SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\../\1/p' | cut -d" " -f1)
 SYSTEM_GCJ_VERSION = $(shell basename `readlink /usr/lib/jvm/java-gcj/bin/gcj` | sed -e s/gcj-//)
 
 PKGDIR:=debian/libreoffice
@@ -69,11 +71,11 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=4.4.6.3
+lo_sources_ver=5.0.2.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-4-4-6
+GIT_BRANCH=libreoffice-5-0-2
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
@@ -82,7 +84,7 @@
 #########
 # Default package configuration
 #
-OOO_ARCHS = alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
+OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
 PATCHSET=$(DEB_VENDOR)
 BUILD_DEPS=\
     autoconf,\
@@ -163,7 +165,11 @@
 SYSTEM_STUFF += boost
 BOOST_VERSION=default
 ifeq "$(BOOST_VERSION)" "default"
+  ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 5 && echo true)" "true"
+    BOOST_MINVER= (>= 1.58)
+  else
     BOOST_MINVER= (>= 1.55)
+  endif
 endif
 SYSTEM_STUFF += mdds
 SYSTEM_STUFF += vigra
@@ -185,18 +191,15 @@
 # system anyways if enabled
 SYSTEM_STUFF += libebook
 SYSTEM_STUFF += libabw
+SYSTEM_STUFF += libpagemaker
 BUILD_CAIROCANVAS=y
 SYSTEM_STUFF += cairo
 CAIRO_FONTS_PATCH=y
 BUILD_KDE=y
 # not ported to KDE 4
 ENABLE_KDEAB=n
-ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 4.7 && echo true)" "true"
 # < 4.8 fails with gcc 4.7, see #667911
 QT_MINVER= (>= 4:4.8)
-else
-QT_MINVER= (>= 4:4.5)
-endif
 KDELIBS_MINVER= (>= 4:4.3.4)
 BUILD_DBG_PACKAGE=y
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -222,7 +225,7 @@
 SYSTEM_STUFF += lpsolve
 USE_SHARED_LPSOLVE=y
 LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
-ENABLE_COINMP=y
+ENABLE_COINMP=n
 SYSTEM_STUFF += coinmp
 USE_DBUS=y
 ifeq "$(USE_DBUS)" "y"
@@ -260,6 +263,4 @@
 SYSTEM_STUFF += redland
 PACKAGE_SDK=y
 PACKAGE_SDK_DOCS=y
-ifeq "$(ENABLE_JAVA)" "y"
-  ifeq "$(JDK)" "default"
-    ifeq "$(shell LANG=C /usr/lib/jvm/default-java/bin/java -version 2>&1 | tail -n 1 | awk '{ print $$1 }')" "OpenJDK"
+PACKAGE_LOKIT=y

## libreoffice 5.0.3~rc2

=== android/Makefile ===
# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

module_directory:=$(dir $(realpath $(firstword $(MAKEFILE_LIST))))

include $(module_directory)/../solenv/gbuild/partial_build.mk

.PHONY: sign

SIGNED_APK := $(BUILDDIR)/android/experimental/LOAndroid3/bin/LibreOfficeViewer.apk
RELEASE_APK_USAGE := echo; echo "Usage: make versionCode=<version_num+1> exampleDocument=</absolute/path/example.odt> key=<key_name> release-apk"

release-apk: build
	# versionCode and key are mandatory, examplDocument is not
	@if test -z "$(versionCode)" ; then $(RELEASE_APK_USAGE) ; exit 1 ; fi
	@if test -z "$(key)" ; then $(RELEASE_APK_USAGE) ; exit 1 ; fi

	rm -f $(SIGNED_APK)

	# the actual signing
	jarsigner --verbose -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore ~/.keystore $(BUILDDIR)/android/experimental/LOAndroid3/bin/LibreOfficeViewer-release-unsigned.apk $(key)
	$(ANDROID_SDK_HOME)/build-tools/*/zipalign -v 4 $(BUILDDIR)/android/experimental/LOAndroid3/bin/LibreOfficeViewer-release-unsigned.apk $(SIGNED_APK)

	@echo
	@echo "Resulting signed apk: $(SIGNED_APK)"

# vim: set noet sw=4 ts=4:

=== debian/changelog ===
libreoffice (1:5.0.3~rc2-0ubuntu1~trusty2) trusty; urgency=medium

  * Backport from wily
  * debian/rules:
    - Explicitly use cpp 4.7
    - Use boost >= 1.54
    - Re-add transitionals for libreoffice-presenter-console,
      libreoffice-presentation-minimizer, libreoffice-emailmerge,
      libreoffice-l10n-ku
  * revert-core-fix-build-with-system-boost-1.59.patch:
    - fix build with older boost

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Oct 2015 13:46:49 +0100

libreoffice (1:5.0.3~rc2-0ubuntu1) wily; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 28 Oct 2015 00:39:00 +0100

libreoffice (1:5.0.2-0ubuntu3) wily; urgency=medium

  * fall back to SYSTEM_GCC_VERSION, when SYSTEM_GCJ_VERSION is empty
  * substitute xfonts-mathml with fonts-stix (lp: #1487148)
  * cherry-pick from Debian:
    - readd conflicts against openoffice-unbundled to libreoffice-common.
      openoffice*-debian-menus contains /usr/bin/soffice
  * fix gug language description (thanks Rene)
  * add build version for "About LibreOffice"
  * create profile defaulting to human style on unity (lp: #1508177)
  * reenable Ubuntu palette
  * handle integral translations

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 23 Oct 2015 00:23:47 +0200

libreoffice (1:5.0.2-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 15:04:41 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                binutils (>= 2.23) [mips mipsel],
                bison,
                bzip2,
-               cpp-5,
+               cpp-4.7,
                debhelper (>= 7.2.3~),
                default-jdk,
                default-jdk (>= 1:1.7-48) [ia64],
@@ -22,10 +22,10 @@
                flex (>= 2.3.35),
                fontconfig,
                fonts-liberation,
-               g++- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-               gcc- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-               gcj-jdk [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-               gcj-native-helper [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
+               g++-4.7 [hppa ia64 s390 sparc],
+               gcc-4.7 [hppa ia64 s390 sparc],
+               gcj-jdk [hppa ia64 s390 sparc],
+               gcj-native-helper [hppa ia64 s390 sparc],
                gdb,
                gettext,
                gperf,
@@ -33,36 +33,30 @@
                javahelper (>= 0.37~),
                junit4 (>= 4.8.2-2),
                kdelibs5-dev (>= 4:4.3.4),
-               libabw-dev (>= 0.1),
                libarchive-zip-perl,
                libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
-               libboost-date-time-dev (>= 1.58),
-               libboost-dev (>= 1.58),
-               libboost-iostreams-dev (>= 1.58),
+               libboost-date-time-dev (>= 1.54.0),
+               libboost-dev (>= 1.54.0),
+               libboost-iostreams-dev (>= 1.54.0),
+               libboost-program-options-dev (>= 1.54.0),
+               libboost-system-dev (>= 1.54.0),
                libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
                libc6 (>= 2.17-6) [mips mipsel],
                libcairo2-dev,
-               libcdr-dev (>= 0.1),
-               libclucene-dev (>= 2.3.3.4-4.1),
-               libcmis-dev (>= 0.5.0-3ubuntu1),
-               libcppunit-dev (>= 1.13.2-2.1),
+               libclucene-dev (>= 2.3.3.4-2),
+               libcppunit-dev (>= 0.12),
                libcups2-dev,
                libcurl4-gnutls-dev,
                libdbus-glib-1-dev (>= 0.70),
-               libe-book-dev (>= 0.1.1),
-               libeot-dev,
-               libetonyek-dev (>= 0.1.2),
                libexpat1-dev,
                libexttextcat-dev (>= 3.1.1),
                libfontconfig1-dev,
-               libfreehand-dev (>= 0.1),
                libfreetype6-dev (>= 2.2.0),
-               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
+               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc],
                libgconf2-dev,
                libgl1-mesa-dev,
                libglew-dev,
                libglib2.0-dev (>= 2.15.0),
-               libglm-dev (>= 0.9.6.3),
                libglu1-mesa-dev,
                libgraphite2-dev (>= 0.9.3),
                libgstreamer-plugins-base1.0-dev,
@@ -80,17 +74,11 @@
                liblcms2-dev,
                libldap2-dev,
                liblpsolve55-dev (>= 5.5.0.13-5+b1),
-               libmdds-dev (>= 0.12),
-               libmspub-dev (>= 0.1),
-               libmwaw-dev (>= 0.3.5),
                libmysqlclient-dev,
-               libmysqlcppconn-dev (>= 1.1.3-6ubuntu1),
+               libmysqlcppconn-dev (>= 1.1.0~r791),
                libmythes-dev (>= 2:1.2),
                libneon27-gnutls-dev,
                libnss3-dev (>= 3.12.3),
-               libodfgen-dev (>= 0.1),
-               liborcus-dev (>= 0.9.2-2),
-               libpagemaker-dev,
                libpng12-dev,
                libpoppler-cpp-dev,
                libpoppler-dev (>= 0.12.0),
@@ -98,16 +86,11 @@
                libpq-dev (>= 9.0~),
                libqt4-dev (>= 4:4.8),
                librdf0-dev (>= 1.0.16-2),
-               librevenge-dev,
                libsane-dev,
                libsm-dev,
                libssl-dev (>= 0.9.8),
                libsuitesparse-dev (>= 1:3.4.0),
                libvigraimpex-dev,
-               libvisio-dev (>= 0.1),
-               libwpd-dev (>= 0.10),
-               libwpg-dev (>= 0.3),
-               libwps-dev (>= 0.4),
                libx11-dev,
                libxaw7-dev,
                libxext-dev,
@@ -142,9 +125,9 @@
                      libcommons-lang-java,
                      libcommons-logging-java (>= 1.1.1-9)
 Build-Conflicts: amd-libopencl1,
-                 ant (= 1.8.0-1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-                 ant (= 1.8.0-2) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-                 ant (= 1.8.0-3) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
+                 ant (= 1.8.0-1) [hppa ia64 s390 sparc],
+                 ant (= 1.8.0-2) [hppa ia64 s390 sparc],
+                 ant (= 1.8.0-3) [hppa ia64 s390 sparc],
                  flex (= 2.5.34-1) [amd64],
                  g++-4.6 (= 4.6.1-10),
                  g++-4.6 (= 4.6.1-11),
@@ -164,7 +147,7 @@
                  nvidia-libopencl1,
                  qt3-dev-tools
 Standards-Version: 3.9.4
-XS-Python3-Version: 3.4
+XS-Python3-Version: 3.5
 XS-Testsuite: autopkgtest
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
@@ -181,7 +164,7 @@
          libreoffice-draw,
          libreoffice-impress,
          libreoffice-math,
-         libreoffice-report-builder-bin [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc],
+         libreoffice-report-builder-bin [!hppa !ia64 !s390 !sparc],
          libreoffice-writer,
          ${avmedia-be-depends},
          ${dejavu-depends},
@@ -303,3 +286,26 @@
          libreoffice-common (>> ${base-version}),
          ure (>= 4.2~),
          ${lpsolve-dep},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: cli-uno-bridge (<< 1:3.0.0~dev300m22),
+        hunspell-ar (<< 0.0.0+20080110-1.1),
+        hunspell-da (<< 1:3.1.0-3),
+        hunspell-de-at (<< 20071211-2),
+        hunspell-de-ch (<< 20071211-2),
+        hunspell-de-de (<< 20071211-2),
+        hunspell-de-med (<< 20090825-1),
+        hunspell-en-ca (<< 1:3.1.0-3),
+        hunspell-en-us (<< 20070829-3),
+        hunspell-fr (<< 1:3.1.0-3),
+        hunspell-gl-es (<< 2.2a-6),
+        hunspell-hu (<< 1:3.1.0-3),
+        hunspell-ko (<< 0.3.3-1),
+        hunspell-ne (<< 1:3.1.0-3),
+        hunspell-se (<< 1.0~beta6.20081222-1.1),
+        hunspell-sh (<< 1:3.1.0-3),
+        hunspell-sr (<< 1:3.1.0-3),
+        hunspell-uz (<< 0.6-3.1),
+        hunspell-vi (<< 1:3.1.0-3),
+        libcairo2 (= 1.4.8-1),
+        libicu38 (= 3.8~d01-1),

=== debian/rules ===
--- 
+++ 
@@ -71,14 +71,19 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=5.0.2.2
+lo_sources_ver=5.0.3.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-5-0-2
+GIT_BRANCH=libreoffice-5-0-3
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
+endif
+
+DEB_DISTRIBUTION=$(shell dpkg-parsechangelog | grep Distribution | awk '{ print $$2 }')
+ifeq "$(DEB_DISTRIBUTION)" "trusty"
+  TRUSTY_BACKPORT=y
 endif
 
 #########
@@ -165,11 +170,7 @@
 SYSTEM_STUFF += boost
 BOOST_VERSION=default
 ifeq "$(BOOST_VERSION)" "default"
-  ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 5 && echo true)" "true"
-    BOOST_MINVER= (>= 1.58)
-  else
     BOOST_MINVER= (>= 1.55)
-  endif
 endif
 SYSTEM_STUFF += mdds
 SYSTEM_STUFF += vigra
